Subject: bug#24669: 25.1; Cannot display images

From: Drew Adams <[email-masked]>
Date: Wed, 12 Oct 2016 09:33:55 -0700 (PDT)

> > Why is it that other 64-bit Windows builds have no problem
> > showing images, but 25.1 cannot do so?
> 
> I can only guess: that other 64-bit build has all the necessary
> libraries statically linked into the binary: see the marked
> "-static" link-time switch above.

Got it.

> > Presumably I have the requisite binaries installed (though I don't
> > recall where, and would have to look for them).
> 
> No, I think you don't have them, at least not where Windows looks for
> DLLs for Emacs.

OK.

> > Which, of that mountain of stuff, are the things supposedly needed
> > to (just) display images?
> 
> Almost all of them.  Apart of image DLLs, that zip file includes
> GnuTLS (required for HTTPS networking) and libxml2 (required for
> browsing HTML and XML files).  These two non-image libraries have
> dependency libraries, of course, but other than that, all the rest is
> for images of several kinds.

Thanks very much for all of this info.  I will close the bug.

(I wonder if some such info should be, or maybe already is, in
the doc somewhere.  You will likely tell me that it is in the
Windows README or some such, but I'm thinking of someone who
just picks up an Emacs binary.  Should this be in the Emacs
manual (or is it already)?)